// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: upsert_certificate.sql

package queries

import (
	"context"
)

const upsertCertificate = `-- name: UpsertCertificate :exec

WITH upsert_peer AS (
INSERT INTO peers.peers (id)
VALUES ($1)
ON CONFLICT DO NOTHING)
INSERT INTO peers.certificates (
    certificate_thumbprint,
    certificate,
    peer_id
)
VALUES ($2, $3, $1)
ON CONFLICT DO NOTHING
`

type UpsertCertificateParams struct {
	PeerID                string
	CertificateThumbprint string
	Certificate           []byte
}

// Copyright © VNG Realisatie 2023
// Licensed under the EUPL
func (q *Queries) UpsertCertificate(ctx context.Context, arg *UpsertCertificateParams) error {
	_, err := q.db.Exec(ctx, upsertCertificate, arg.PeerID, arg.CertificateThumbprint, arg.Certificate)
	return err
}
